# indicator is the field that is used to test for form submission
indicator: submit
auto_fieldset: 1
model_config:
 resultset: Contact

elements:
 - type: Hidden
   name: id

 - type: Text
   name: firstname
   label: Firstname
   label_loc: Firstname

 - type: Text
   name: lastname
   label: Lastname
   label_loc: Lastname

 - type: Select
   name: country_id
   label: Country
   label_loc: Country
   empty_first: 1
   empty_first_label_loc: Select country
   model_config:
     resultset: Country
     attributes:
       order_by:
         -asc: name_es 
   constraints:
    - Required
    - type: Number

 - type: Text
   name: email
   label: E-mail
   label_loc: E-mail
   constraints:
    - Required
    - Email
   validator: 'Cms::ContactEmailValidator'
 
 - type: Text
   name: password
   label: Password
   label_loc: Password
   add_attrs:
     class: 'password'

 - type: Text
   name: phone
   label: Phone
   label_loc: Phone

 - type: File
   name: photo
   label_loc: 'Photo'

 - type: Checkbox
   name: verified
   label_loc: 'Verified'
     
# The Submit button
 - type: Submit
   name: submit
   # The text to be displayed
   value: Save
   value_loc: Save
